org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableGridLayer

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.CompositeLayer
    - - org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer
      - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableGridLayer

All Implemented Interfaces:
  org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

Direct Known Subclasses:
  DataTableGridLayerStack

    public class DataTableGridLayer
    extends org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer

A grid layer for the data view.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

`DOT, VALUE_SEPARATOR`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` `getBodyDataLayer()` Returns the body data layer.
`DataTableBodyLayerStack` `getBodyLayer()`
`org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` `getColumnHeaderDataLayer()` Returns the column header layer.
`org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer` `getColumnHeaderLayer()`
`org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` `getCornerDataLayer()` Returns the corner data layer.
`org.eclipse.nebula.widgets.nattable.grid.layer.CornerLayer` `getCornerLayer()`
`org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer` `getRowHeaderDataLayer()` Returns the row header layer.
`org.eclipse.nebula.widgets.nattable.grid.layer.RowHeaderLayer` `getRowHeaderLayer()`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer

`doCommand, setBodyLayer, setColumnHeaderLayer, setCornerLayer, setRowHeaderLayer, toString`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.CompositeLayer

`addConfigLabelAccumulatorForRegion, configure, dispose, getBoundsByPosition, getCellByPosition, getCellPainter, getChildLayerByLayoutCoordinate, getChildLayerByRegionName, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getConfigLabelAccumulatorByRegionName, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getHeight, getLayoutXCount, getLayoutYCount, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setChildLayer, setConfigLabelAccumulatorForRegion, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

`addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getClientAreaProvider, getConfigLabelAccumulator, getLayerPainter, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setClientAreaProvider, setConfigLabelAccumulator, setLayerPainter, setRegionName, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getBodyDataLayer

    public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getBodyDataLayer()

Returns the body data layer.

Returns:

#### getBodyLayer

    public DataTableBodyLayerStack getBodyLayer()

Overrides:
  `getBodyLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`

#### getColumnHeaderDataLayer

    public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getColumnHeaderDataLayer()

Returns the column header layer.

Returns:

#### getColumnHeaderLayer

    public org.eclipse.nebula.widgets.nattable.grid.layer.ColumnHeaderLayer getColumnHeaderLayer()

Overrides:
  `getColumnHeaderLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`

#### getCornerDataLayer

    public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getCornerDataLayer()

Returns the corner data layer.

Returns:

#### getCornerLayer

    public org.eclipse.nebula.widgets.nattable.grid.layer.CornerLayer getCornerLayer()

Overrides:
  `getCornerLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`

#### getRowHeaderDataLayer

    public org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer getRowHeaderDataLayer()

Returns the row header layer.

Returns:

#### getRowHeaderLayer

    public org.eclipse.nebula.widgets.nattable.grid.layer.RowHeaderLayer getRowHeaderLayer()

Overrides:
  `getRowHeaderLayer` in class `org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer`